Como Compilar nucleo nvidia?

Imagen de banyut
0 puntos

Hola,

Hasta ahora estaba trabajando con el kernel 2.6.28.5 y nvidia 177.82 sin ningún problema en intrepid.

He probado de instalar el nuevo driver de nvidia 180.29 y aunque este se instala sin problemas, no consigo arrancar el modo gráfico, el problema es que el nucleo de la nvidia no coincide con el kernel que tengo instalado.

La pregunta es como puedo compilar el nucleo de la nvidia?

grácias

Imagen de Goyo
+1
0
-1

¿Qué es el núcleo de la nvidia?

Si lo que quieres es compilar el controlador, lo primero que necesitarás será el código fuente. Para ello tendrías que ponerte en contacto con el fabricante para pedírselo, ya que no está publicado. Lo más probable es que pasen de ti. Si no, por lo menos tendrás que firmar un contrato de confidencialidad con un montón de cláusulas absurdas e ininteligibles (vete buscando un abogado por si acaso).

+1
0
-1
Imagen de banyut
+1
0
-1

Muy gracioso, Goyo, tal vez si me haya explicado mal, pero supongo que tu sabes por donde voy, mirare de explicarme mejor, aunque no se como me saldra ya que llevo un dia un poco cargado.

Veamos, cuando instalamos los drivers propietarios de nvidia, al reiniciar, la version del kernel de la nvidia tiene que coincidir con la de nuestro kernel.

Nvidia tiene precompilados los kernels mas habituales, pero el 2.6.28 no lo encuentro, y lo que no me creo es que todos los que tengan el kernel 2.6.28 renuncien a la aceleración gráfica.

Ya se que puedo volver a como estaba antes, pero se trata de aprender un poquito.

Tal vez ahora haya quedado más claro el problema y alguien me pueda orientear un poquito mas.

- - -

La Inteligencia me persigue, pero ..... YO SOY MÁS RÁPIDO!!!!!

Usuario Linux #453776              Ubuntu User # 17343

 

+1
0
-1

La Inteligencia me persigue, pero ..... YO SOY MÁS RÁPIDO!!!!!

Usuario Linux #453776              Ubuntu User # 17343

 

Imagen de Goyo
+1
0
-1

Realmente no entendí a qué te referías ni sabía que nvidia distribuyera binarios de Linux. Supongo que tendrás que compilar la versión adecuada de Linux como te dice Gabriel, pero yo no puedo ayudar con eso.

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

Hola ban...:

El driver de nvidia versión 180.29, esta desarrollado para funcionar a partir del kernel 2.6.28.7

Asi que si quieres instalarlo en Intrepid, primero deberas compilar el kernel en Intrepid y posteriomente, si instalas dkms, este se ocupará de incorporarle el driver.

Saludos.
Gabriel.


Solo doy soporte para Ubuntu - Existen muchas soluciones - Las equivocadas y la mia.
+1
0
-1
Imagen de banyut
+1
0
-1

ok, tenia entendido que era para 2.6.28.x, y lo estaba probando con el kernel 2.6.28.5.

goyo, tranquilo, no me explique bien, aveces cuando voy com mucha prisa doy por echo que todo el mundo me tiene que entender.

gracias a los dos.

- - -

La Inteligencia me persigue, pero ..... YO SOY MÁS RÁPIDO!!!!!

Usuario Linux #453776              Ubuntu User # 17343

 

+1
0
-1

La Inteligencia me persigue, pero ..... YO SOY MÁS RÁPIDO!!!!!

Usuario Linux #453776              Ubuntu User # 17343

 

Imagen de banyut
+1
0
-1

Bueno, al final lo he podio solucionar, y todo funciona correctamente.

  • S.O.: Ubuntu Intrepid
  • Kernel: 2.6.28.5
  • nvidia: 180.29

Bien el problema es que por el motivo que sea (Yo juraría que lo hice), al compilar el kernel de GNU/linux, no se instalaron los headers del kernel, por lo que al instalar el driver de la nvidia, el instalador no podía compilar su kernel para que este se adaptara al kernel del sistema.

- - -

La Inteligencia me persigue, pero ..... YO SOY MÁS RÁPIDO!!!!!

Usuario Linux #453776              Ubuntu User # 17343

 

+1
0
-1

La Inteligencia me persigue, pero ..... YO SOY MÁS RÁPIDO!!!!!

Usuario Linux #453776              Ubuntu User # 17343